routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('user', 'User\UserController');


//Route::resource('almacen','Almacen\AlmacenController');

Route::get('almacen/{almacen}','Almacen\AlmacenController@destroy')->name('almacen.destroy');
Route::post('almacen','Almacen\AlmacenController@store')->name('almacen.store');
Route::get('almacen','Almacen\AlmacenController@create')->name('almacen.create');
	

Route::resource('product', 'Producto\ProductoController');

Route::resource('orden-compra', 'OrdenCompraController');
Route::get('orden/generate/{product}','OrdenCompraController@showOrder')->name('orden-compra.generate');
Route::get('orden/list/{product}','OrdenCompraController@listOrders')->name('orden-compra.list');
Route::get('orden/{order}','OrdenCompraController@destroy')->name('orden.destroy');



Route::resource('orden-venta', 'OrdenVentaController');
Route::get('venta/generate/{product}','OrdenVentaController@showOrder')->name('orden-venta.generate');
Route::get('venta/list/{product}','OrdenVentaController@listOrders')->name('orden-venta.list');
Route::get('venta/{order}','OrdenVentaController@destroy')->name('venta.destroy');


Route::get('kardex/{product}','OrdenVentaController@generateKardex')->name('generate.kardex');


//Route::resource('orden-venta', 'OrdenVentaController');

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;
    const USUARIO_ADMINISTRADOR = 'true';
    const USUARIO_REGULAR = 'false';


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'admin',
        'document'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    
    public function esAdministrador()
    {
        return $this->admin == User::USUARIO_ADMINISTRADOR;
    }

    
    // public function almacen()
    // {
    //     return $this->belongsTo(Almacen::class);
    // }

}

app/Http/Controllers/User/UserController.php
<?php

namespace App\Http\Controllers\User;

use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;


class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        //$this->middleware('permission:users.index');
        $users= User::where('admin', '!=', '1')->paginate();
        
        return view('users.index',compact('users'));
    }

    public function create()
    {
        //
        return view('users.create');
    }


    /**
     * Display the specified resource.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        //
        return view('users.edit',compact('user'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    {

        $reglas = [
            'name' => 'required',
            'email' => 'required|email|unique:users',
            'password' => 'required|min:6|confirmed'
        ];

        //$this->validate($request, $reglas);
        
        $campos = array();
        $campos['name'] = $request->name . " ". $request->last_name;
        $campos['email'] = $request->email;
        $campos['document'] = $request->document;
        $campos['password'] = Hash::make($request->password);

        $usuario = User::create($campos);

        return redirect()->route('user.index')->with('info','Se ha registrao un nuevo usuario con exito');
    }




    public function update(Request $request, User $user)
    {
        //Actualice el usuario
        $user->update($request->all());

        return redirect()->route('user.index')->with('info','Se han registrado las modificaciones del usuario con exito');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        //
        $user->delete();
        return back()->with('info','Se ha eliminado el usuario seleccionado con exito');
    }
}

resources/views/users/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                    Registrando opearador de Almacen
                </div>
                <div class="card-body">                
                        {!!Form::open(['route'=>'user.store'])!!}
                            @include('users.partial.form')
                        {!!Form::close()!!}        

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/users/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    Editar informacion del cliente
                </div>
                <div class="card-body">                
                        {!!Form::model($user,['route'=>['user.update',$user->id] ,'method'=>'PUT'])!!}
                            @include('users.partial.form')
                        {!!Form::close()!!}        

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/users/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                     Operadores de almacen   
                        <a class="btn btn-primary btn-sm float-right" href="{{route('user.create')}}"> Registrar Operadores+</a>
                </div>

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th width="10px">ID</th>
                                    <th>Nombres</th>
                                    <th>Email</th>
                                    <th>DNI</th>
                                    <th colspan="3">&nbsp;</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($users as $user)
                                    <tr>
                                        <td>{{$user->id}}</td>
                                        <td>{{$user->name}}</td>
                                        <td>{{$user->email}}</td>
                                        <td>{{$user->document}}</td>
                                        <td width="10px">
                                                <a role="button" href="{{route('user.show',$user->id)}}" class="btn btn-sm btn-outline-secondary">Ver más</a>
                                           
                                        </td>
                                        <td width="10px">
                                                <a role="button" href="{{route('user.edit',$user->id)}}" class="btn btn-sm btn-outline-secondary">Modificar</a>
                                        </td>

                                        <td width="10px">
                                               {!!Form::open(['route'=>['user.destroy',$user->id],'method'=>'DELETE'])!!}
                                                    <button class="btn btn-sm btn-danger">
                                                        Eliminar
                                                    </button>
                                                {!!Form::close()!!}

                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {{$users->render()}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/users/show.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">
                    Cliente
                </div>
                <div class="card-body">
                    <p><strong>Nombre </strong>{{$customer->first_name}}</p>
                    <p><strong>Apellido </strong>{{$customer->last_name}}</p>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection